org.springframework.cache.jcache.config

## Class JCacheConfigurerSupport

- java.lang.Object
- - org.springframework.cache.annotation.CachingConfigurerSupport
  - - org.springframework.cache.jcache.config.JCacheConfigurerSupport

- All Implemented Interfaces:
    CachingConfigurer, JCacheConfigurer

      public class JCacheConfigurerSupport
      extends CachingConfigurerSupport
      implements JCacheConfigurer

  An extension of `CachingConfigurerSupport` that also implements `JCacheConfigurer`.

  Users of JSR-107 annotations may extend from this class rather than implementing from `JCacheConfigurer` directly.

  Since:
    4.1
  Author:
    Stephane Nicoll
  See Also:
    `JCacheConfigurer`, `CachingConfigurerSupport`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCacheConfigurerSupport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CacheResolver` | `exceptionCacheResolver()` Return the `CacheResolver` bean to use to resolve exception caches for annotation-driven cache management.

    - ### Methods inherited from class org.springframework.cache.annotation.CachingConfigurerSupport

      `cacheManager, cacheResolver, errorHandler, keyGenerator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.cache.annotation.CachingConfigurer

      `cacheManager, cacheResolver, errorHandler, keyGenerator`

- - ### Constructor Detail

    - #### JCacheConfigurerSupport

          public JCacheConfigurerSupport()

  - ### Method Detail

    - #### exceptionCacheResolver

          @Nullable
          public CacheResolver exceptionCacheResolver()

      Description copied from interface: `JCacheConfigurer`
      Return the `CacheResolver` bean to use to resolve exception caches for annotation-driven cache management. Implementations must explicitly declare `@Bean`, e.g.

           @Configuration
           @EnableCaching
           public class AppConfig extends JCacheConfigurerSupport {
               @Bean // important!
               @Override
               public CacheResolver exceptionCacheResolver() {
                   // configure and return CacheResolver instance
               }
               // ...
           }

      See `EnableCaching` for more complete examples.
      Specified by:
        `exceptionCacheResolver` in interface `JCacheConfigurer`